function loadImg(that,isSetSize){
	var url = that.getAttribute("imgUrl");
	var isSetSize = typeof(isSetSize)!="undefined" ? isSetSize : "true";
	if(typeof url == "undefined"||url==""){
		return;
	}
    // 使用占位方式快速获取大小
	imgReady(url, function (width, height) {
		var win_width = document.body.offsetWidth;
		var win_height = document.body.offsetHeight;
		var height2;
		this.that = that;
		this.that.onload=null;
		this.that.src=url;

		//if(width<=win_width-20){
		//	this.that.setAttribute("width",width);
		//} else {
		//	this.that.setAttribute("width",eval(win_width-20));
		//}

		//height2 = parseInt((win_height*width)/win_width);
		//if(height<=win_height-20){
		//	this.that.setAttribute("height",height);
		//}else{
		//	this.that.setAttribute("height",height2);
		//}
		if(isSetSize){
			this.that.setAttribute("width","150");
			this.that.setAttribute("height","150");
		}
		window.scrollTo(0,99999);
	}, function () {
		this.that = that;
		this.that.onload=null;
		this.that.src="loaderro.png";
		this.that.style.width="63px";
		this.that.style.height="48px";
		window.scrollTo(0,99999);
	});
};
function imgReady(url, callback, error) {
	var img = new Image(),
		body = document.body;
		
	img.src = url;
	
	// 从缓存中读取
	if (img.complete) {
		return callback(img.width, img.height);
	};
	
	// 加载完毕后方式获取
	img.onload = function () {
		callback(img.width, img.height);
		img.onload = img.onerror = null;
		//body && img.parentNode.removeChild(img);
	};
	
	// 图片加载错误
	img.onerror = function () {
		error && error();
		//body && img.parentNode.removeChild(img);
	};
	
};
window.scrollTo(0,99999);